
/*
 * %%File: html.h
 *    
 * Copyright (c) Bertrand LE QUELLEC 1995-1999
 *
 * http://perso.wanadoo.fr/blq
 * blq@wanadoo.fr
 */
 
 
/* ------------------------------------------------------------------------- */


#define TAG_HVIDEO      "<META NAME=\"description\"><CONTENT=\"FICHIER GENERE PAR : HyperVideo (c) 1996-1999 - blq@wanadoo.fr\">"
#define TAG_RTFTOHTML   "<META NAME=\"description\"><CONTENT=\"FICHIER GENERE PAR : RTF2HTML 2.0 (c) 1996-1999 - blq@wanadoo.fr\">"
#define TAG_DTD         "<!--DOCTYPE HTML SYSTEM \"html.dtd\"-->"

/* --- */

#define TAG_COMMENTAIRE     "<!--"
#define TAGf_COMMENTAIRE    "-->"

#define TAG     "<"
#define TAGf    ">"
#define TAGe    "/"

/* --- */

#define TAG_HTML    "<HTML>"
#define TAGf_HTML   "</HTML>"

#define TAG_TITLE   "<TITLE>"
#define TAGf_TITLE  "</TITLE>"

#define TAG_HEAD    "<HEAD>"
#define TAGf_HEAD   "</HEAD>"

#define TAG_BODY    "<BODY>"
#define TAGf_BODY   "</BODY>"

#define TAG_BGCOLOR "<BODY BGCOLOR="
#define TAG_BACKGROUND  "<BODY BACKGROUND="

/* --- */

#define TAG_IMG_SRC "<IMG SRC="

#define TAG_HREF    "<A HREF="
#define TAGf_HREF   "</A>"
#define TAG_ANAME   "<A NAME="

/* --- */

#define TAG_P   "<P>"

#define TAG_UL  "<UL>"
#define TAGf_UL "</UL>"

#define TAG_CITE  "<CITE>"
#define TAGf_CITE "</CITE>"

#define TAG_EM  "<EM>"
#define TAGf_EM "</EM>"
   
#define TAG_DD  "<DD>"
#define TAG_DT  "<DT>"
          
#define TAG_DL  "<DL>"
#define TAGf_DL "</DL>"

#define TAG_OL  "<OL>"
#define TAGf_OL "</OL>"

#define TAG_BQUOTE  "<BLOCKQUOTE>"
#define TAGf_BQUOTE  "</BLOCKQUOTE>"

#define TAG_LI  "<LI>"
#define TAGf_LI "</LI>"

#define TAG_I   "<I>"
#define TAGf_I  "</I>"

#define TAG_B   "<B>"
#define TAGf_B  "</B>"

#define TAG_H1  "<H1>"
#define TAGf_H1 "</H1>"
#define TAG_H2  "<H2>"
#define TAGf_H2 "</H2>"
#define TAG_H3  "<H3>"
#define TAGf_H3 "</H3>"
#define TAG_H4  "<H4>"
#define TAGf_H4 "</H4>"
#define TAG_H5  "<H5>"
#define TAGf_H5 "</H5>"

/* --- */

#define TAG_BR      "<BR>"

#define TAG_CENTER  "<CENTER>"
#define TAGf_CENTER "</CENTER>"

#define TAG_HR      "<HR WIDTH=95%>"
#define TAG_HR3     "<HR SIZE=3 WIDTH=95%>"
#define TAG_HR4     "<HR SIZE=4 WIDTH=95%>"
#define TAG_HR5     "<HR SIZE=5 WIDTH=95%>"
#define TAG_HR6     "<HR SIZE=6 WIDTH=95%>"
#define TAG_HR7     "<HR SIZE=7 WIDTH=95%>"
#define TAG_HR8     "<HR SIZE=8 WIDTH=95%>"
#define TAG_HR9     "<HR SIZE=9 WIDTH=95%>"
#define TAG_HR10    "<HR SIZE=10 WIDTH=95%>"

#define TAG_FONT1   "<FONT SIZE=+1>"
#define TAG_FONT2   "<FONT SIZE=+2>"
#define TAG_FONT3   "<FONT SIZE=+3>"
#define TAGf_FONT   "</FONT>"

/* --- */

#define TAG_TABLE          "<TABLE>"
#define TAGf_TABLE         "</TABLE>"
#define TAG_TABLE_BORDER   "<TABLE BORDER=4 CELLSPACING=5 CELLPADDING=5>"
#define TAG_TABLE_BWIDTH   "<TABLE BORDER=4 CELLSPACING=5 CELLPADDING=5 WIDTH=90%>"
#define TAG_TABLE_WIDTH    "<TABLE BORDER WIDTH=90%>"

#define TAG_TR          "<TR>"
#define TAGf_TR         "</TR>"
#define TAG_TR_CENTER   "<TR ALIGN=CENTER>"

#define TAG_TD          "<TD>"
#define TAGf_TD         "</TD>"
#define TAG_TD_CENTER   "<TD ALIGN=CENTER>"
#define TAG_TD_COLSPAN  "<TD ALIGN=CENTER COLSPAN="


/* ------------------------------------------------------------------------- */


#ifdef SOURCE_HTML
#define EXTERN_HTML
#else
#define EXTERN_HTML  extern
#endif



EXTERN_HTML void TitreHTML      	(char *, FILE *);
EXTERN_HTML void EnteteHTML     	(char *, FILE *);
EXTERN_HTML void BgColorHTML    	(char *, FILE *);
EXTERN_HTML void BackgroundHTML 	(char *, FILE *);
EXTERN_HTML void CelluleHTML		(char *, FILE *);
EXTERN_HTML void CelluleCenterHTML	(char *, FILE *);
EXTERN_HTML void CelluleColHTML		(char *, FILE *, int);

EXTERN_HTML char * GetFontSize          (int);
EXTERN_HTML char * GetTableHTML         (void);
EXTERN_HTML char * GetTableCenterHTML   (void);
EXTERN_HTML char * GetImgSrcHTML        (char *);
EXTERN_HTML char * GetANameHTML         (char *);
EXTERN_HTML char * GetANameHTML2        (char *);
EXTERN_HTML char * GetAHNameHTML        (char *);
EXTERN_HTML char * GetAHNameHTML2       (char *, char *);
EXTERN_HTML char * GetAHNameTargetHTML  (char *, char *, char *);
EXTERN_HTML char * GetHrefHTML          (char *, char *);
EXTERN_HTML char * GetHrefHTML2         (char *, char *);
EXTERN_HTML char * GetNiveauHTML        (int);
EXTERN_HTML char * GetNiveauHTMLf       (int);


EXTERN_HTML char * TokenToHTML  (char *);
EXTERN_HTML char * HTMLToToken  (char *);

EXTERN_HTML char * HexaToToken  (char *);
EXTERN_HTML char * TokenToHexa  (char *);

EXTERN_HTML char * HTMLToHexa   (char *);
EXTERN_HTML char * HexaToHTML   (char *);

