

/*           
 * %%File: rtfdecl.c
 *
 * Copyright (c) 1995-1999 Bertrand LE QUELLEC
 * Copyright (c) 1989-1995 Microsoft Corporation
 *
 * http://perso.wanadoo.fr/blq
 * blq@wanadoo.fr
 */
 
#ifndef UNIX_SRC

#ifdef __DLL__
#define _EXPORT _export
#else
#define _EXPORT _huge
#endif

#endif  /* UNIX_SRC */
 


/* -------------------------
 *  RTF parser declarations
 * ------------------------- */

#define ITALIC      1
#define BOLD        2
#define UNDERLINE   3
     
     
/* ------------------------
 *  RTF parser error codes
 * ------------------------ */

#define erroALESIA         -75
#define errfALESIA         -70
#define errfTBL_H          -60
#define erroMMO            -55
#define errfMMO            -50
#define erroHTML           -45
#define errfHTML           -40
#define erroTBL            -35
#define errfTBL            -30
#define erroTXT            -25
#define errfTXT            -20
#define erroRTF            -10  /* Ouverture impossible */
#define errfRTF            -5   /* nom de fichier vide */
#define ecNO               -1

#define ecOK                0 /* Everything's fine! */
#define ecStackUnderflow    1 /* Unmatched '}' */
#define ecStackOverflow     2 /* Too many '{' -- memory exhausted */
#define ecUnmatchedBrace    3 /* RTF ended during an open group. */
#define ecInvalidHex        4 /* invalid hex character found in data */
#define ecBadTable          5 /* RTF table (sym or prop) invalid */
#define ecAssertion         6 /* Assertion failure */
#define ecEndOfFile         7 /* End of file reached while reading RTF */
#define ecMacFile           8 /* detection d'un fichier RTF Macintosh */

