

/* -------------------------
 *  RTF parser declarations
 *
 * http://perso.wanadoo.fr/blq
 * blq@wanadoo.fr
 * ------------------------- */


#ifdef SOURCE_ACTN
#define EXTERN_ACTN
#else
#define EXTERN_ACTN extern
#endif



/* 
 * ---------------------------
 *  RTF function declarations
 * ---------------------------
 */

EXTERN_ACTN int ecTranslateKeyword  (char *, int, bool);
EXTERN_ACTN int ecEndGroupAction    (RDS);
EXTERN_ACTN int ecParseHexByte      (void);

EXTERN_ACTN void ecDetectPard		(void);
EXTERN_ACTN void ecFootnote			(void);

EXTERN_ACTN void ecPrintItalic		(FILE *);
EXTERN_ACTN void ecPrintItalicF		(FILE *);
EXTERN_ACTN void ecPrintBold		(FILE *);
EXTERN_ACTN void ecPrintBoldF		(FILE *);
EXTERN_ACTN void ecPrintCenter		(FILE *);

/* --------------------------
 *  RTF variable declaration
 * -------------------------- */

EXTERN_ACTN int             nbFigure;
EXTERN_ACTN char			prefigure[TLEN];

EXTERN_ACTN short           flagTableau;
EXTERN_ACTN int             carcell;
EXTERN_ACTN short           nbcell;
EXTERN_ACTN short           oldnbcell;
EXTERN_ACTN char            cellule[MLEN * 4];

EXTERN_ACTN int             plusNiveau;
EXTERN_ACTN short           fontSize;

EXTERN_ACTN short           oldProp;
EXTERN_ACTN short           tagCenter;
EXTERN_ACTN short           tagUL;
EXTERN_ACTN short           tagTR;
EXTERN_ACTN short           tagLI;
EXTERN_ACTN short           tagDD;
EXTERN_ACTN short           flagDD;

EXTERN_ACTN short           flagHeader;
EXTERN_ACTN short           flagGO;
EXTERN_ACTN short           flagTOC; 
EXTERN_ACTN short           flagREF;

EXTERN_ACTN short           crochet;
EXTERN_ACTN short           valCrochetF;
EXTERN_ACTN short           valCrochetH;
//EXTERN_ACTN short           detectField;

EXTERN_ACTN int             flagFootnote;
EXTERN_ACTN int             nbFootnote;

EXTERN_ACTN int             nbcar;
EXTERN_ACTN char            lesCar[MLEN * 2];

EXTERN_ACTN int             nbBk;
EXTERN_ACTN short           flagBKMK;
EXTERN_ACTN char            lesBkmk[MLEN];

EXTERN_ACTN short           styleBold;
EXTERN_ACTN short           styleItalic;
EXTERN_ACTN short           valCrochetB;
EXTERN_ACTN short           valCrochetI;
