
/*
 * %%File: lib.h
 *
 * Copyright (c) Bertrand LE QUELLEC 1995-1999
 *
 * http://perso.wanadoo.fr/blq
 * blq@wanadoo.fr
 */

    
/* ------------------------------------------------------------------------- */


#ifndef bool

#ifdef BOOL
#define bool BOOL
#define Bool BOOL
#else
typedef char bool;
typedef char Bool;
#endif  /* BOOL */

#endif  /* bool */
         
         
#ifdef TRUE
#define fTrue   TRUE
#define True    TRUE
#else
#define TRUE    1
#define fTrue   1
#define True    1
#endif /* TRUE */

#ifdef FALSE 
#define fFalse  FALSE
#define False   FALSE
#else       
#define FALSE   0
#define fFalse  0
#define False   0
#endif /* FALSE */


#ifndef false 
#define false   fFalse
#endif

#ifndef true
#define true    fTrue
#endif


#define MLEN        256
#define TLEN        15


/* ------------------------------------------------------------------------- */


#ifdef SOURCE_LIB
#define EXTERN_LIB
#else
#define EXTERN_LIB  extern
#endif


#define VITE_IMG    30
#define ONE_FRAME   50
#define CR          '\n' 

#define UPPERCASE   10
#define LOWERCASE   20
                                          
                                          
EXTERN_LIB Bool libPairImpair       (int);                                          
EXTERN_LIB void libReverse          (char []);
EXTERN_LIB int  libBitCount         (unsigned);
                                          
EXTERN_LIB char * libQuote          (char *);
EXTERN_LIB char * libDelQuote       (char *);
EXTERN_LIB char * libChangeChar     (char *, char, char);
EXTERN_LIB char * libRTrim          (char *);
EXTERN_LIB char * libLTrim          (char *);
EXTERN_LIB char * libCaseString     (char *, int);

EXTERN_LIB void libPrintCharStd     (int, FILE *);
EXTERN_LIB void libPrintString      (char *, FILE *);
EXTERN_LIB void libPrintInt         (int, FILE *);
EXTERN_LIB void libPrintLong        (long, FILE *);
EXTERN_LIB void libPrintStringInt   (char *, int, FILE *);
EXTERN_LIB int  libPosChar          (char *, char, bool);

EXTERN_LIB char * libGetStrToChar   (FILE *, int);
EXTERN_LIB char * libGetStrToCR     (FILE *);
EXTERN_LIB void libNextLine         (FILE *);
EXTERN_LIB void libGotoChar         (FILE *, int);
EXTERN_LIB bool libTypeOldChar      (int);

